AuctionHouse 1.7.13

An AuctionHouse plugin with a familiar interface.

  1. ProjectFTW
    ProjectFTW
    5/5,
    Version: 1.7.0-b2
    A fully working Auction House plugin for >1.13
    Much appreciated.

    Although there's just one minor issue that might give users a negative view on this resource, and that's the .json format you chose as a way of customizing the GUI.

    Is there a way for you to update the plugin with a .yml localization file instead? It would make it way easier for us to design the GUI the way each server wants it to look like.

    As of right now, you're limiting our creativity by forcing us to use the same top and bottom lores for every single item inside the GUI by having this inside of the .json file:
    "message.listing.horizontal.rule.top": "&8&m------------------------------",
    "message.listing.horizontal.rule.bottom": "&8&m------------------------------",

    Just change the way of changing the GUI style by replacing the .json with .yml and have each message support multi-lines with placeholders instead of setting one line per line of lore in the .json file. Do also allow multi-lines for in-game chat messages aswell so we can add spacing above and under the message.

    Have it like this:

    menuItemText:
    listedItem:
    lore:
    - '&6&m-------------------------'
    - '&7Click to Purchase item'
    - ''
    - "&6Seller > &7%seller%"
    - "&ePrice > &7$%price%"
    - ''
    - "&8Time left > &7%time%"
    - '&6&m-------------------------'
    yourListedItem:
    lore:
    - '&6&m-------------------------'
    - '&7Click to cancel item.'
    - "&ePrice > &7$%price%"
    - ''
    - "&8Time left > &7%time%"
    - '&6&m-------------------------'
    1. klugemonkey
      Author's Response
      Implementing full GUI customization of the listings would be a challenge. But maybe using defined placeholders like {price}, {seller}, etc. instead of specific translations having parameters {0}, {1} that are context specific would be a step in that direction.
  2. Redned
    Redned
    5/5,
    Version: 1.7.0-b1
    Amazing plugin! Author is responsive and quickly fixes bugs. Ran into a few problems the other day with crafting, and despite his busy schedule, the author was on top of the issue and quickly resolved the problems.

    On the plugin itself, it's a great replacement for the old AuctionHouse plugin. Runs smoothly, allows for lots of configuration, and ultimately I cannot find a resource better than it! And best of all, it's free! :D
  3. WhiteExpertDE
    WhiteExpertDE
    2/5,
    Version: 1.7.0-b1
    - Not working. 1.14.2 Spigot Server. Should be nice if you can fix it otherwise you can do it.
    1. klugemonkey
      Author's Response
      Sorry we lost you as a customer. Best of luck with the paid plugins...
  4. Derfavo
    Derfavo
    5/5,
    Version: 1.6.5
    1. klugemonkey
      Author's Response
      The key to compatibility is hidden in the name, lore and enchants. If you are trying to prevent keys from being sold, blacklisting will help. PM me if you need help.
  5. rudde
    rudde
    5/5,
    Version: 1.6.5
    Better than old AuctionHouse in my opinion. You should make it Premium plugin. :)
    1. klugemonkey
      Author's Response
      IKR, premium buko dinero would be nice, but I think folks are poor, but might still be appreciative, so I just make free and accept donations. For coffee, of course.
  6. EliteGhosts
    EliteGhosts
    3/5,
    Version: 1.6.5
    when u go in /buy and start to click on items u buy some stuff from /ah Just ... xd
    1. klugemonkey
      Author's Response
      What plugin is using the /buy that could be interferring?
  7. farizluqman
    farizluqman
    5/5,
    Version: 1.6.5
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    Thank you dev, you did a very good job <3
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  8. WeaselBeans
    WeaselBeans
    5/5,
    Version: 1.6.1
    Works well, I especially like that players don't need to remember much more commands to use this plugin.
  9. Owner_jomzaza
    Owner_jomzaza
    4/5,
    Version: 1.6.1
    1. klugemonkey
      Author's Response
      I fail to see the connection.
  10. CutePanda
    CutePanda
    5/5,
    Version: 1.5.2
    Хорошо, тогда сделайте порт плагина под версию 1.12 только 1.12. Буду очень вам благодарен
    1. klugemonkey
  11. CutePanda
    CutePanda
    3/5,
    Version: 1.5.1
    Когда будет поддержка 1.12? Вам вообще дорога репутация плагина? Я понимаю это сложно все сделать, но мне очень нужно
    1. klugemonkey
      Author's Response
      Yes, reputation is important, but shouldn't expect a native 1.13.2 plugin to have earlier version support. The plugin was designed around 1.13.2 API, meaning it uses all the item naming from 1.13.2. I'm not ruling out that there will be no 1.12.x version, but would like to have 1.13.2 very stable, then I can consider a separate port of the plugin using the legacy API.
  12. CutePanda
    CutePanda
    3/5,
    Version: 1.5.0
    Плагин очень хороший, как только будет поддержка 1.12 версии, тогда поставлю 5 звезд:)
    1. klugemonkey
      Author's Response
      :\ when your 1.13.2 specific plugin is so good, that they ask you to support old versions of Spigot...
  13. ToxicSpin
    ToxicSpin
    5/5,
    Version: 1.4.9
    The plugin is not really stable, but works fine and it's the best on spigot as far as I know. Just one complain, instead of making the items in the blacklist have that strange and useless format "item: minecraft:bedrock", can you please switch to simply the material id? For example " '0': BEDROCK ", and in my opinion the blacklist should be put in a separate file.
    1. klugemonkey
      Author's Response
      What? No cheese on my free tacos?
      (kind of hard to be stable if you keep adding features)
      Buttons and Blacklist items can already match the upper case format. With blacklist wildcards, you don't need to specify as many.
  14. howtoNhut
    howtoNhut
    5/5,
    Version: 1.4.9
    Will the plugin support more versions 1.8 and 1.10?
    ................... 80 .....................
    1. klugemonkey
      Author's Response
      and don't forget about 1.7.10! I mean can't leave out those guys playing 5 year old versions of CraftBukkit! (sarc)
  15. eralysium
    eralysium
    5/5,
    Version: 1.4.7
    the best auction house plugin, simple, clear effective.
    thank you to the developer !
  16. TiroZit
    TiroZit
    5/5,
    Version: 1.4.7
    The best plugin among all plug-insurances is also a very sociable and friendly developer of this plug-in.
  17. Kino
    Kino
    5/5,
    Version: 1.4.4
    Really nice plugin, can you make a command less version?, so that an "OP / Admin" can put a block as an Auction House where the players interact.

    Btw, I am working in a spanish translation.
    1. klugemonkey
      Author's Response
      OK, so have it so some blocks can be setup as auction houses. But players still need to use /ah sell <price> to make a listing.
  18. Zardiz
    Zardiz
    5/5,
    Version: 1.4.2
    Cool Auction House plugin.

    Need danish translations? I would be happy to help you with that!
    1. klugemonkey
      Author's Response
      Thanks, feel free to post links to translations in the discussion forums for others to use.
  19. ProjectSky
    ProjectSky
    5/5,
    Version: 1.4.2
    1. klugemonkey
      Author's Response
      OK, localization is fixed for the localized item names and the chat item names.
      This plugin checks for inventory click events only on menus it has created. So if another plugin is sorting the menus we create, that plugin is not respecting others.
  20. BableBalbear
    BableBalbear
    5/5,
    Version: 1.4.2
    everything is mostly perfect. I like that it's free and owner is dedicated to maintaining plugin. Thanks for making this, it's very helpful.